LINUX.ORG.RU
решено ФорумAdmin

Проблемы со сборкой deb-пакета


0

1

Всем привет, может кто подскажет

собираю пакет slony1-2.0.7 для postgresql-8.3, на debian lenny

получаю такую ошибку

dpkg-buildpackage
...
dh_install: slony1-2-bin missing files (usr/share/man/man1/*.1), aborting
make: *** [binary-install/slony1-2-bin] Ошибка 1
dpkg-buildpackage: сбой: fakeroot debian/rules binary возвратил код ошибки 2

попробовал закоментировать в /usr/share/cdbs/1/rules/debhelper.mk строчку

dh_installman -p$(cdbs_curpkg) $(DEB_INSTALL_MANPAGES_$(cdbs_curpkg))

не помогло. Чего ему не хватает интересно?

> попробовал закоментировать в /usr/share/cdbs/1/rules/debhelper.mk строчку
Правильный способ: добавить свою цель «override_dh_install» (или даже override_dh_installman) в debian/rules и внести любые необходимые изменения в неё.

AITap ★★★★★ ()

закомментировал в debian/slony1-2-bin.install строчку

usr/share/man/man1/*.1
помогло

bezgubov ()

А установить пакет из сида не можно было??

[petrosian_mode] DEB-ы качают, а не собирают (ц) [/petrosian_mode]

ymuv ★★★★ ()
Ответ на: комментарий от ymuv

>А установить пакет из сида не можно было??

а он там есть?

если найдешь postgresql-8.3-slony1-2_2.0.7-1_amd64.deb, обещаю перечислить 3$ в фонд голодающих детей африки

bezgubov ()
Ответ на: комментарий от ymuv

не подойдет, если ты внимательнее посмотришь, что я написал :)

bezgubov ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.